Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meterware.servletunit
Class ServletRunner

    java.lang.Object
      |
      +--com.meterware.servletunit.ServletRunner

public class ServletRunner
extends Object

This class acts as a test environment for servlets.

Constructor Summary
`ServletRunner()` Default constructor, which defines no servlets.
`ServletRunner(InputStream webXML)` Constructor which expects an input stream containing the web.xml for the application.
`ServletRunner(InputStream webXML, String contextPath)` Constructor which expects an input stream containing the web.xml for the application.
`ServletRunner(String webXMLFileSpec)` Constructor which expects the full path to the web.xml for the application.
`ServletRunner(String webXMLFileSpec, String contextPath)` Constructor which expects the full path to the web.xml for the application and a context path under which to mount it.

Method Summary
`WebResponse` | `getResponse(String url)` Returns the response from the specified servlet using GET.
`WebResponse` | `getResponse(WebRequest request)` Returns the response from the specified servlet.
`ServletUnitClient` | `newClient()` Creates and returns a new web client that communicates with this servlet runner.
`void` | `registerServlet(String resourceName, String servletClassName)` Registers a servlet class to be run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletRunner

    public ServletRunner()

  Default constructor, which defines no servlets.

### ServletRunner

    public ServletRunner(String webXMLFileSpec)
                  throws IOException,
                         SAXException

  Constructor which expects the full path to the web.xml for the application.
  Parameters:
    `webXMLFileSpec` - the full path to the web.xml file

### ServletRunner

    public ServletRunner(String webXMLFileSpec,
                         String contextPath)
                  throws IOException,
                         SAXException

  Constructor which expects the full path to the web.xml for the application and a context path under which to mount it.
  Parameters:
    `webXMLFileSpec` - the full path to the web.xml file
    `contextPath` - the context path

### ServletRunner

    public ServletRunner(InputStream webXML)
                  throws IOException,
                         SAXException

  Constructor which expects an input stream containing the web.xml for the application.

### ServletRunner

    public ServletRunner(InputStream webXML,
                         String contextPath)
                  throws IOException,
                         SAXException

  Constructor which expects an input stream containing the web.xml for the application.

Method Detail

### registerServlet

    public void registerServlet(String resourceName,
                                String servletClassName)

  Registers a servlet class to be run.

### getResponse

    public WebResponse getResponse(WebRequest request)
                            throws MalformedURLException,
                                   IOException,
                                   SAXException

  Returns the response from the specified servlet.
  Throws:
    `SAXException` - thrown if there is an error parsing the response

### getResponse

    public WebResponse getResponse(String url)
                            throws MalformedURLException,
                                   IOException,
                                   SAXException

  Returns the response from the specified servlet using GET.
  Throws:
    `SAXException` - thrown if there is an error parsing the response

### newClient

    public ServletUnitClient newClient()

  Creates and returns a new web client that communicates with this servlet runner.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD